package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF3E3Response {

    @Parameter(name = "DiscountType")
    String discountType();

    @Parameter(name = "MaxLoanAmount")
    Double maxLoanAmount();

    @Parameter(name = "MaxLoanAmountForWeb")
    Double maxLoanAmountForWeb();

    @Parameter(name = "MaxTerm")
    Long maxTerm();

    @Parameter(name = "MinLoanAmount")
    Double minLoanAmount();

    @Parameter(name = "MinTerm")
    Long minTerm();

    @Parameter(name = "RWS_GarantedAmount")
    java.util.List<MWF3E3RWSGarantedAmount> rWSGarantedAmount();

    @Parameter(name = "RWS_LoanAmount")
    java.util.List<MWF3E3RWSLoanAmount> rWSLoanAmount();

    @Parameter(name = "RWS_Term")
    java.util.List<MWF3E3RWSTerm> rWSTerm();

    @Parameter(name = "SalesProductType")
    String salesProductType();

}